/******************************************************************************
 * InfoAction - React to the info request
 * $Id: InfoAction.java,v 1.2 2011/05/31 14:50:48 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: InfoAction.java,v $
 * Revision 1.2  2011/05/31 14:50:48  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.gui;

import net.sourceforge.jibs.server.JibsServer;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;

/** React to the info request
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 14:50:48 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/gui/InfoAction.java">cvs InfoAction.java</a>
 */
public class InfoAction extends AbstractAction {
	private static final long serialVersionUID = 4654976179773232277L;
	private JibsServer jibsServer;

	public InfoAction(JibsServer jibsServer, String text, ImageIcon icon,
			String desc, Object mnemonic) {
		super(text, icon);
		this.jibsServer = jibsServer;
		putValue(SHORT_DESCRIPTION, desc);
		putValue(ACCELERATOR_KEY, mnemonic);

		// putValue(MNEMONIC_KEY, mnemonic);
	}

	public void actionPerformed(ActionEvent e) {
		JDialog dialog = new JDialog(jibsServer.getJibsFrame(), "Parameter", true);

		dialog.getContentPane().add(new VMPanel(dialog, jibsServer, jibsServer.getJibsFrame()));
		dialog.pack();

		VMPanel panel = (VMPanel) dialog.getContentPane().getComponent(0);
		panel.doShow();
		dialog.setResizable(false);
		dialog.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		dialog.setLocationRelativeTo(jibsServer.getJibsFrame());
		dialog.setVisible(true);
	}
}
