/******************************************************************************
 * ClipConstants - Map numbers to messages
 * $Id: ClipConstants.java,v 1.2 2011/05/31 15:25:49 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ClipConstants.java,v $
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

/** Map messages to CLIP numbers
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 15:25:49 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/ClipConstants.java">cvs ClipConstants.java</a>
 */
public class ClipConstants extends Object {
	public static final String CLIP_WELCOME = "1";
	public static final String CLIP_OWN_INFO = "2";
	public static final String CLIP_MOTD_BEGIN = "3";
	public static final String CLIP_MOTD_END = "4";
	public static final String CLIP_WHO_INFO = "5";
	public static final String CLIP_WHO_END = "6";
	public static final String CLIP_LOGIN = "7";
	public static final String CLIP_LOGOUT = "8";
	public static final String CLIP_MESSAGE = "9";
	public static final String CLIP_MESSAGE_DELIVERED = "10";
	public static final String CLIP_MESSAGE_SAVED = "11";
	public static final String CLIP_SAYS = "12";
	public static final String CLIP_SHOUTS = "13";
	public static final String CLIP_WHISPERS = "14";
	public static final String CLIP_KIBITZES = "15";
	public static final String CLIP_YOU_SAY = "16";
	public static final String CLIP_YOU_SHOUT = "17";
	public static final String CLIP_YOU_WHISPER = "18";
	public static final String CLIP_YOU_KIBITZ = "19";
}
